curl --request POST \
--url https://api.privy.io/v1/wallets/{wallet_id}/rpc \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--header 'privy-app-id: <privy-app-id>' \
--data '{
"method": "eth_signTransaction",
"params": {
"transaction": {
"type": 118,
"chain_id": 4217,
"calls": [
{
"to": "0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045",
"value": "0x2386F26FC10000"
}
]
}
}
}'
{
"method": "eth_signTransaction",
"data": {
"signed_transaction": "0x76f870830138de80830f4240830f437480940b81418147df37155d643b5cb65ba6c8cb7aba76872000000000000480c080a05c11a2166ec56189d993dec477477d962ce0d4c466ab7ed8982110621ec87a57a003c796590c0c62eac30acd412f2aa0e8ad740c4ded86fb64d3326ee4c0ea804c",
"encoding": "rlp"
}
}
Tempo
eth_signTransaction
Sign a Tempo transaction using the eth_signTransaction method with type 118.
POST
/
v1
/
wallets
/
{wallet_id}
/
rpc
curl --request POST \
--url https://api.privy.io/v1/wallets/{wallet_id}/rpc \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--header 'privy-app-id: <privy-app-id>' \
--data '{
"method": "eth_signTransaction",
"params": {
"transaction": {
"type": 118,
"chain_id": 4217,
"calls": [
{
"to": "0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045",
"value": "0x2386F26FC10000"
}
]
}
}
}'
{
"method": "eth_signTransaction",
"data": {
"signed_transaction": "0x76f870830138de80830f4240830f437480940b81418147df37155d643b5cb65ba6c8cb7aba76872000000000000480c080a05c11a2166ec56189d993dec477477d962ce0d4c466ab7ed8982110621ec87a57a003c796590c0c62eac30acd412f2aa0e8ad740c4ded86fb64d3326ee4c0ea804c",
"encoding": "rlp"
}
}
SDK methods
Learn more about signing Tempo transactions using our SDKs here.Idempotency on errors: On 4xx or 5xx, Privy caches the response and replays it for the same
key. Generate a new key to retry after a server error. Policy violations are an exception and
allow same-key retries.
curl --request POST \
--url https://api.privy.io/v1/wallets/{wallet_id}/rpc \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--header 'privy-app-id: <privy-app-id>' \
--data '{
"method": "eth_signTransaction",
"params": {
"transaction": {
"type": 118,
"chain_id": 4217,
"calls": [
{
"to": "0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045",
"value": "0x2386F26FC10000"
}
]
}
}
}'
{
"method": "eth_signTransaction",
"data": {
"signed_transaction": "0x76f870830138de80830f4240830f437480940b81418147df37155d643b5cb65ba6c8cb7aba76872000000000000480c080a05c11a2166ec56189d993dec477477d962ce0d4c466ab7ed8982110621ec87a57a003c796590c0c62eac30acd412f2aa0e8ad740c4ded86fb64d3326ee4c0ea804c",
"encoding": "rlp"
}
}
Headers
string
required
ID of your Privy app.
string
Request authorization signature. If multiple signatures are required, they should be comma
separated.
string
Request expiry. Value is a Unix timestamp in milliseconds representing the deadline by which the
request must be processed.
Path Parameters
string
required
ID of the wallet to get.
Body
string
required
Available options:
eth_signTransactionobject
required
Hide child attributes
Hide child attributes
object
required
Hide child attributes
Hide child attributes
number
required
Must be
118 for Tempo transactions.string
string | number
string | number
string | number
string | number
string | number
object[]
required
string
Address of the supported TIP-20 token used to pay Tempo fees. If omitted, Tempo’s
fee-token preference rules
apply. Tempo has no native gas token.
string | number
The Tempo 2D nonce key.
string | number
Unix timestamp in seconds after which Tempo will reject the transaction.
string | number
Unix timestamp in seconds before which Tempo will reject the transaction.
object
Response
enum<string>
required
Available options:
eth_signTransactionWas this page helpful?

